org.wildfly.swarm.config.messaging.activemq.server

## Class DiscoveryGroup<T extends DiscoveryGroup<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.DiscoveryGroup<T>

-     public class DiscoveryGroup<T extends DiscoveryGroup<T>>
      extends Object

  Multicast group to listen to receive broadcast from other servers announcing their connectors.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryGroup(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Long` | `initialWaitTimeout()` Period, in ms, to wait for an initial broadcast to give us at least one node in the cluster.
    `T` | `initialWaitTimeout(Long value)` Period, in ms, to wait for an initial broadcast to give us at least one node in the cluster.
    `String` | `jgroupsChannel()` The name used by a JGroups channel to join a cluster.
    `T` | `jgroupsChannel(String value)` The name used by a JGroups channel to join a cluster.
    `String` | `jgroupsStack()` The name of a stack defined in the org.jboss.as.clustering.jgroups subsystem that is used to form a cluster.
    `T` | `jgroupsStack(String value)` The name of a stack defined in the org.jboss.as.clustering.jgroups subsystem that is used to form a cluster.
    `Long` | `refreshTimeout()` Period the discovery group waits after receiving the last broadcast from a particular server before removing that server's connector pair entry from its list.
    `T` | `refreshTimeout(Long value)` Period the discovery group waits after receiving the last broadcast from a particular server before removing that server's connector pair entry from its list.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `socketBinding()` The discovery group socket binding.
    `T` | `socketBinding(String value)` The discovery group socket binding.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoveryGroup

          public DiscoveryGroup(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### initialWaitTimeout

          public Long initialWaitTimeout()

      Period, in ms, to wait for an initial broadcast to give us at least one node in the cluster.

    - #### initialWaitTimeout

          public T initialWaitTimeout(Long value)

      Period, in ms, to wait for an initial broadcast to give us at least one node in the cluster.

    - #### jgroupsChannel

          public String jgroupsChannel()

      The name used by a JGroups channel to join a cluster.

    - #### jgroupsChannel

          public T jgroupsChannel(String value)

      The name used by a JGroups channel to join a cluster.

    - #### jgroupsStack

          public String jgroupsStack()

      The name of a stack defined in the org.jboss.as.clustering.jgroups subsystem that is used to form a cluster.

    - #### jgroupsStack

          public T jgroupsStack(String value)

      The name of a stack defined in the org.jboss.as.clustering.jgroups subsystem that is used to form a cluster.

    - #### refreshTimeout

          public Long refreshTimeout()

      Period the discovery group waits after receiving the last broadcast from a particular server before removing that server's connector pair entry from its list.

    - #### refreshTimeout

          public T refreshTimeout(Long value)

      Period the discovery group waits after receiving the last broadcast from a particular server before removing that server's connector pair entry from its list.

    - #### socketBinding

          public String socketBinding()

      The discovery group socket binding.

    - #### socketBinding

          public T socketBinding(String value)

      The discovery group socket binding.

Copyright © 2017 JBoss by Red Hat. All rights reserved.